<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>board</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="board";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../cards/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;board</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../board/BankDeposit.html" title="class in board">BankDeposit</a></td>
<td class="colLast">
<div class="block">The Bank Deposit Square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/Board.html" title="class in board">Board</a></td>
<td class="colLast">
<div class="block">Generates a board from a file containing board information, 
 and handles inputs and outputs from it</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../board/Chance.html" title="class in board">Chance</a></td>
<td class="colLast">
<div class="block">The chance square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/CommunityChest.html" title="class in board">CommunityChest</a></td>
<td class="colLast">
<div class="block">Community Chest Square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../board/FreeParking.html" title="class in board">FreeParking</a></td>
<td class="colLast">
<div class="block">Free Parking Square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/GO.html" title="class in board">GO</a></td>
<td class="colLast">
<div class="block">GO square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../board/GoToJail.html" title="class in board">GoToJail</a></td>
<td class="colLast">
<div class="block">Go to Jail Square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/IncomeTax.html" title="class in board">IncomeTax</a></td>
<td class="colLast">
<div class="block">Income Tax Square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../board/Jail.html" title="class in board">Jail</a></td>
<td class="colLast">
<div class="block">Jail Square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/Property.html" title="class in board">Property</a></td>
<td class="colLast">
<div class="block">Monopoly Property</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></td>
<td class="colLast">
<div class="block">Any purchaseable square in monopoly</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/Square.html" title="class in board">Square</a></td>
<td class="colLast">
<div class="block">An abstract square with base features</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../board/Transport.html" title="class in board">Transport</a></td>
<td class="colLast">
<div class="block">Transport (Railroad) squares</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../board/Utilities.html" title="class in board">Utilities</a></td>
<td class="colLast">
<div class="block">Utility Squares</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../board/Colour.html" title="enum in board">Colour</a></td>
<td class="colLast">
<div class="block">Property Colours Enum</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../cards/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
